Problem:

Each time KPackageKit attempts to install updates it halts and the following error message is displayed:

patch:MozillaThunderbird-4149.noarch conflicts with
MozillaThunderbird.x86_84 < 3.18-0.3.1 provided by
MozillaThunderbird_3.1.7-29.1.x86_64
I would have to restart "Search for Updates" and uncheck Thunderbird from the list in order to continue. I thought this would be resolved soon, but, after a week + the problem persists.

Solution:

Enable the Index of /repositories/mozilla/openSUSE_11.4 repo then update Thunderbird with Yast>Software Management

Now KPackageKit no longer lists a Thunderbird update and completes updating on the first try. I don't know what will happen when the next T'bird update comes out, but for now this problem seems to be solved.